Subject: bug#35584: closed (Re: bug#35584: CDs and DVDs aren't auto-mounted)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 May 2025 13:32:02 +0000

Your bug report

#35584: CDs and DVDs aren't auto-mounted

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35584: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35584
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35584: CDs and DVDs aren't auto-mounted
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 14 May 2025 22:31:30 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> While this is currently working, a discussion with systemd [0] revealed
> that this the existing rule should work as-is, regardless of whether the
> cdrom block driver is builtin the kernel or as a module.  This means the
> fix is really a workaround rather than something fixing the root issue;
> I'm thus reopening the issue and will try to find a better solution for
> it.
>
> One extra check I've now made is locally revert the earlier fix (commit
> 670724), then build the cdrom block driver as a module like it is on
> Void Linux (which to recall uses the same eudev version without this
> problem) and tested: the problem persists.
>
> In the systemd discussion, they pointed that potentially the problem has
> to do with the 'udevadm trigger' that is run; perhaps it is done too
> early still, despite waiting on the udevd unix socket (wait-for-udevd)
> in the udev-shepherd-service.  I'll investigate in this direction.
>
> [0]  https://github.com/systemd/systemd/pull/37336

In the end, the issue was that our udev-service-type was not running
"udevadm" "trigger" "--action=add" "--type=subsystems", which is needed
to create the subsystem nodes.  Because they were missing, the udev
block rules was not running and there was no default polling value set
on block devices such as cdrom.

See commit 4acbceed261.

Closing for good!

-- 
Thanks,
Maxim

Subject: CD/DVD does not work
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sun, 05 May 2019 11:52:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I installed the GNU system in a real machine using the Guix 1.0 ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).

When I insert a CD or a DVD the drive light flashes for a moment, then turns off, but it seems the discs are never mounted. GNOME displays no messages, GNOME Files does not list the drive, I don't see anything related to DVD after running  "findmnt", and running "lsblk" says:

```
$ lsblk 
NAME   MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
sda      8:0    0 931,5G  0 disk 
├─sda1   8:1    0   750M  0 part /boot/efi
├─sda2   8:2    0   3,7G  0 part [SWAP]
└─sda3   8:3    0 927,1G  0 part /
sr0     11:0    1  1024M  0 rom
```

---
https://sirgazil.bitbucket.io/